Package net.sf.saxon.functions

## Class NormalizeSpace_1

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.ScalarSystemFunction
      - - net.sf.saxon.functions.NormalizeSpace_1

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class NormalizeSpace_1
      extends ScalarSystemFunction

  Implement the XPath normalize-space() function

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `ZERO_LENGTH_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NormalizeSpace_1()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AtomicValue` | `evaluate​(Item arg, XPathContext context)` | Abstract method that must be supplied in subclasses to perform the evaluation
    `java.lang.String` | `getCompilerName()` | Get the (local) name of a class that can be used to generate bytecode for this system function
    `Expression` | `makeFunctionCall​(Expression[] arguments)` | Make an expression that either calls this function, or that is equivalent to a call on this function
    `static StringValue` | `normalizeSpace​(StringValue sv)` |
    `ZeroOrOne` | `resultWhenEmpty()` | Method that may be supplied in subclasses, to indicate the result that is returned when an empty sequence is supplied as the argument value.

    - ### Methods inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `call`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### NormalizeSpace_1

          public NormalizeSpace_1()

  - ### Method Detail

    - #### resultWhenEmpty

          public ZeroOrOne resultWhenEmpty()

      Description copied from class: `ScalarSystemFunction`
      Method that may be supplied in subclasses, to indicate the result that is returned when an empty sequence is supplied as the argument value. The default is to return the empty sequence
      Overrides:
        `resultWhenEmpty` in class `ScalarSystemFunction`
      Returns:
        the result of evaluation when the supplied argument is an empty sequence

    - #### evaluate

          public AtomicValue evaluate​(Item arg,
                                      XPathContext context)
                               throws XPathException

      Description copied from class: `ScalarSystemFunction`
      Abstract method that must be supplied in subclasses to perform the evaluation
      Specified by:
        `evaluate` in class `ScalarSystemFunction`
      Parameters:
        `arg` - the supplied argument
        `context` - the dynamic context
      Returns:
        the result of the evaluation
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### normalizeSpace

          public static StringValue normalizeSpace​(StringValue sv)

    - #### makeFunctionCall

          public Expression makeFunctionCall​(Expression[] arguments)

      Description copied from class: `SystemFunction`
      Make an expression that either calls this function, or that is equivalent to a call on this function
      Overrides:
        `makeFunctionCall` in class `ScalarSystemFunction`
      Parameters:
        `arguments` - the supplied arguments to the function call
      Returns:
        either a function call on this function, or an expression that delivers the same result

    - #### getCompilerName

          public java.lang.String getCompilerName()

      Description copied from class: `SystemFunction`
      Get the (local) name of a class that can be used to generate bytecode for this system function
      Overrides:
        `getCompilerName` in class `SystemFunction`
      Returns:
        the name of a bytecode generation class, or null if there is no bytecode support for this function